/*
 * Operation_Mode.h
 *
 *  Created on: 2024. 2. 29.
 *      Author: SUPYO
 */

#ifndef OPERATION_MODE_LAYER_OPERATION_MODE_H_
#define OPERATION_MODE_LAYER_OPERATION_MODE_H_

#define EXT_OPERATION_MODE_LAYER_OPERATION_MODE_H_ extern

#include "stdint.h"




#endif /* OPERATION_MODE_LAYER_OPERATION_MODE_H_ */


/*
 * Variable Name : Operation_Mode
 * Data Type : uint8
 * Description : Operation Mode 0: Default Mode, 1: Autonomous Mode, 2 : Manual Mode, 3: Emergency Mode 4: Charging Mode
 * Requirement : Matching between initialization variables and CAN signals is needed(ACU, RCU, BCM).
 */



EXT_OPERATION_MODE_LAYER_OPERATION_MODE_H_ void Drive_Mode_Func(void);
EXT_OPERATION_MODE_LAYER_OPERATION_MODE_H_ void Emergency_Stop_Mode_Func(void);
EXT_OPERATION_MODE_LAYER_OPERATION_MODE_H_ void Operation_IDB_RWA(void);
EXT_OPERATION_MODE_LAYER_OPERATION_MODE_H_ void Vehicle_Environment(void);

EXT_OPERATION_MODE_LAYER_OPERATION_MODE_H_ void Autonomous_Mode_Func(void); //RidarFlux
EXT_OPERATION_MODE_LAYER_OPERATION_MODE_H_ void Mannual_Mode_Func(void); //Gong-ju University
EXT_OPERATION_MODE_LAYER_OPERATION_MODE_H_ void Drive_Mode_Check(void);
EXT_OPERATION_MODE_LAYER_OPERATION_MODE_H_ void Default_Mode_Func(void);
